{% extends 'index.html' %}

{% block title %}
<title>Topics</title>

{% endblock %}
{% block content1 %}
{% if request.user.is_authenticated %}
{% if len == 0 %}
<div class="topic-header">
    <div class="topic-header-inner">
        <p>Create your <i><Small><u>first</u></Small></i> topic <i class="fa fa-arrow-down"></i></p>
    </div>
    <a href="{% url 'topic-create' %}">
        <button class="btn btn-outline-primary" style="font-size:24px;">New topic</button>
    </a>
</div>
{% else %}
<div class="body-topic">
    <div class="topic-header">
        <div class="topic-header-inner">
            <p>Choose your <i><Small><u>favorit</u></Small></i> topic <i class="fa fa-arrow-down"></i></p>
        </div>
    </div>
    <div class="topic-wrapper">
        <div class="topic-inner bg-dark">
            {% for topic in topics %}
            <div class="columns">
                <a href="{% url 'interests-view' pk=topic.pk %}" id="add-link">
                    <button class="btn btn-outline-primary btn-lg">
                        {{topic}}
                    </button>
                </a>
            </div>
            {% endfor %}
        </div>
    </div>
</div>
{% endif %}
{% else %}
<div class="no-login">
    <div class="wrapper-no-login">
        <p>In order to create or view your topics, we ask you to create an account or to login to your existing one.
            Thank you!</p>
    </div>
</div>
{% endif %}
{% endblock %}